## wiredtiger 2.6.1%2Bds

=== SConstruct ===
# -*- mode: python; -*-
import re
import os
import shutil
import subprocess
import sys
import tempfile
import textwrap
import distutils.sysconfig

EnsureSConsVersion( 2, 0, 0 )

if not os.sys.platform == "win32":
    print ("SConstruct is only supported for Windows, use build_posix for other platforms")
    Exit(1)

# Command line options
#
AddOption("--dynamic-crt", dest="dynamic-crt", action="store_true", default=False,
          help="Link with the MSVCRT DLL version")

AddOption("--enable-attach", dest="attach", action="store_true", default=False,
          help="Configure for debugger attach on failure.")

AddOption("--enable-diagnostic", dest="diagnostic", action="store_true", default=False,
          help="Configure WiredTiger to perform various run-time diagnostic tests. DO NOT configure this option in production environments.")

AddOption("--enable-lz4", dest="lz4", type="string", nargs=1, action="store",
          help="Use LZ4 compression")

AddOption("--enable-python", dest="lang-python", type="string", nargs=1, action="store",
          help="Build Python extension, specify location of swig.exe binary")

AddOption("--enable-snappy", dest="snappy", type="string", nargs=1, action="store",
          help="Use snappy compression")

AddOption("--enable-tcmalloc", dest="tcmalloc", type="string", nargs=1, action="store",
          help="Use TCMalloc for memory allocation")

AddOption("--enable-verbose", dest="verbose", action="store_true", default=False,
          help="Configure WiredTiger to support the verbose configuration string to wiredtiger_open")

AddOption("--enable-zlib", dest="zlib", type="string", nargs=1, action="store",
          help="Use zlib compression")

AddOption("--prefix", dest="prefix", type="string", nargs=1, action="store", default="package",
          help="Install directory")

AddOption("--with-berkeley-db", dest="bdb", type="string", nargs=1, action="store",
          help="Berkeley DB install path, ie, /usr/local")

# Get the swig binary from the command line option since SCONS cannot find it automatically
#
swig_binary = GetOption("lang-python")

# Initialize environment
#
var = Variables()

var.Add('MSVC_USE_SCRIPT', 'Path to vcvars.bat to override SCons default VS tool search');

var.Add('CPPPATH', 'C Preprocessor include path', [
    "#/src/include/",
    "#/build_win",
    "#/test/windows",
    "#/.",
])

var.Add('CFLAGS', 'C Compiler Flags', [
    "/Z7", # Generate debugging symbols
    "/wd4090", # Ignore warning about mismatched const qualifiers
    "/wd4996", # Ignore deprecated functions
    "/W3", # Warning level 3
    #"/we4244", # Possible loss of data
    "/we4013", # Error on undefined functions
    #"/we4047", # Indirection differences in types
    #"/we4024", # Differences in parameter types
    #"/we4100", # Unreferenced local parameter
    "/TC", # Compile as C code
    #"/Od", # Disable optimization
    "/Ob1", # inline expansion
    "/O2", # optimize for speed
    "/GF", # enable string pooling
    "/EHsc", # extern "C" does not throw
    #"/RTC1", # enable stack checks
    "/GS", # enable security checks
    "/Gy", # separate functions for linker
    "/Zc:wchar_t",
    "/Gd",
    "/MD" if GetOption("dynamic-crt") else "/MT",
])

var.Add('LINKFLAGS', 'Linker Flags', [
    "/DEBUG", # Generate debug symbols
    "/INCREMENTAL:NO", # Disable incremental linking
    "/OPT:REF", # Remove dead code
    "/DYNAMICBASE",
    "/NXCOMPAT",
])

var.Add('TOOLS', 'SCons tools', [
    "default",
    "swig",
    "textfile"
])

var.Add('SWIG', 'SWIG binary location', swig_binary)

env = Environment(
    variables = var
)

env['STATIC_AND_SHARED_OBJECTS_ARE_THE_SAME'] = 1

useZlib = GetOption("zlib")
useSnappy = GetOption("snappy")
useLz4 = GetOption("lz4")
useBdb = GetOption("bdb")
useTcmalloc = GetOption("tcmalloc")
wtlibs = []

conf = Configure(env)
if not conf.CheckCHeader('stdlib.h'):
    print 'stdlib.h must be installed!'
    Exit(1)

if useZlib:
    conf.env.Append(CPPPATH=[useZlib + "/include"])
    conf.env.Append(LIBPATH=[useZlib + "/lib"])
    if conf.CheckCHeader('zlib.h'):
        conf.env.Append(CPPDEFINES=["HAVE_BUILTIN_EXTENSION_ZLIB"])
        wtlibs.append("zlib")
    else:
        print 'zlib.h must be installed!'
        Exit(1)

if useSnappy:
    conf.env.Append(CPPPATH=[useSnappy + "/include"])
    conf.env.Append(LIBPATH=[useSnappy + "/lib"])
    if conf.CheckCHeader('snappy-c.h'):
        conf.env.Append(CPPDEFINES=['HAVE_BUILTIN_EXTENSION_SNAPPY'])
        wtlibs.append("snappy")
    else:
        print 'snappy-c.h must be installed!'
        Exit(1)

if useLz4:
    conf.env.Append(CPPPATH=[useLz4 + "/include"])
    conf.env.Append(LIBPATH=[useLz4 + "/lib"])
    if conf.CheckCHeader('lz4.h'):
        conf.env.Append(CPPDEFINES=['HAVE_BUILTIN_EXTENSION_LZ4'])
        wtlibs.append("lz4")
    else:
        print 'lz4.h must be installed!'
        Exit(1)

if useBdb:
    conf.env.Append(CPPPATH=[useBdb+ "/include"])
    conf.env.Append(LIBPATH=[useBdb+ "/lib"])
    if not conf.CheckCHeader('db.h'):
        print 'db.h must be installed!'
        Exit(1)

if useTcmalloc:
    conf.env.Append(CPPPATH=[useTcmalloc + "/include"])
    conf.env.Append(LIBPATH=[useTcmalloc + "/lib"])
    if conf.CheckCHeader('gperftools/tcmalloc.h'):
        wtlibs.append("libtcmalloc_minimal")
        conf.env.Append(CPPDEFINES=['HAVE_LIBTCMALLOC'])
    else:
        print 'tcmalloc.h must be installed!'
        Exit(1)

env = conf.Finish()

# Configure build environment variables
#
if GetOption("attach"):
    env.Append(CPPDEFINES = ["HAVE_ATTACH"])

if GetOption("diagnostic"):
    env.Append(CPPDEFINES = ["HAVE_DIAGNOSTIC"])

if GetOption("lang-python"):
    env.Append(LIBPATH=[distutils.sysconfig.PREFIX + r"\libs"])
    env.Append(CPPPATH=[distutils.sysconfig.get_python_inc()])

if GetOption("verbose"):
    env.Append(CPPDEFINES = ["HAVE_VERBOSE"])


# Build WiredTiger.h file
#
version_file = 'build_posix/aclocal/version-set.m4'

VERSION_MAJOR = None
VERSION_MINOR = None
VERSION_PATCH = None
VERSION_STRING = None

# Read the version information from the version-set.m4 file
for l in open(File(version_file).srcnode().abspath):
    if re.match(r'^VERSION_[A-Z]+', l):
        exec(l)

if (VERSION_MAJOR == None or
    VERSION_MINOR == None or
    VERSION_PATCH == None or
    VERSION_STRING == None):
    print "Failed to find version variables in " + version_file
    Exit(1)

wiredtiger_includes = """
        #include <sys/types.h>
        #include <stdarg.h>
        #include <stdint.h>
        #include <stdio.h>
    """
wiredtiger_includes = textwrap.dedent(wiredtiger_includes)
replacements = {
    '@VERSION_MAJOR@' : VERSION_MAJOR,
    '@VERSION_MINOR@' : VERSION_MINOR,
    '@VERSION_PATCH@' : VERSION_PATCH,
    '@VERSION_STRING@' : VERSION_STRING,
    '@uintmax_t_decl@': "",
    '@uintptr_t_decl@': "",
    '@off_t_decl@' : 'typedef int64_t wt_off_t;',
    '@wiredtiger_includes_decl@': wiredtiger_includes
}

wtheader = env.Substfile(
    target='wiredtiger.h',
    source=[
        'src/include/wiredtiger.in',
    ],
    SUBST_DICT=replacements)

#
# WiredTiger library
#
filelistfile = r'build_win\filelist.win'
filelist = open(filelistfile)
wtsources = [line.strip()
             for line in filelist
             if not line.startswith("#") and len(line) > 1]
filelist.close()

if useZlib:
    wtsources.append("ext/compressors/zlib/zlib_compress.c")

if useSnappy:
    wtsources.append("ext/compressors/snappy/snappy_compress.c")

if useLz4:
    wtsources.append("ext/compressors/lz4/lz4_compress.c")

wt_objs = [env.Object(a) for a in wtsources]

# Static Library - libwiredtiger.lib
#
wtlib = env.Library(
    target="libwiredtiger",
    source=wt_objs, LIBS=wtlibs)

env.Depends(wtlib, [filelistfile, version_file])

# Dynamically Loaded Library - wiredtiger.dll
#
wtdll = env.SharedLibrary(
    target="wiredtiger",
    source=wt_objs + ['build_win/wiredtiger.def'], LIBS=wtlibs)

env.Depends(wtdll, [filelistfile, version_file])

Default(wtlib, wtdll)

wtbin = env.Program("wt", [
    "src/utilities/util_backup.c",
    "src/utilities/util_cpyright.c",
    "src/utilities/util_compact.c",
    "src/utilities/util_create.c",
    "src/utilities/util_drop.c",
    "src/utilities/util_dump.c",
    "src/utilities/util_list.c",
    "src/utilities/util_load.c",
    "src/utilities/util_load_json.c",
    "src/utilities/util_loadtext.c",
    "src/utilities/util_main.c",
    "src/utilities/util_misc.c",
    "src/utilities/util_printlog.c",
    "src/utilities/util_read.c",
    "src/utilities/util_rename.c",
    "src/utilities/util_salvage.c",
    "src/utilities/util_stat.c",
    "src/utilities/util_upgrade.c",
    "src/utilities/util_verbose.c",
    "src/utilities/util_verify.c",
    "src/utilities/util_write.c"],
    LIBS=[wtlib] + wtlibs)

Default(wtbin)

# Python SWIG wrapper for WiredTiger
if GetOption("lang-python"):
    # Check that this version of python is 64-bit
    #
    if sys.maxsize < 2**32:
        print "The Python Interpreter must be 64-bit in order to build the python bindings"
        Exit(1)

    pythonEnv = env.Clone()
    pythonEnv.Append(SWIGFLAGS=[
            "-python",
            "-threads",
            "-O",
            "-nodefaultctor",
            "-nodefaultdtor",
            ])

    swiglib = pythonEnv.SharedLibrary('_wiredtiger',
                      [ 'lang\python\wiredtiger.i'],
                      SHLIBSUFFIX=".pyd",
                      LIBS=[wtlib] + wtlibs)

    copySwig = pythonEnv.Command(
        'lang/python/wiredtiger/__init__.py',
        'lang/python/wiredtiger.py',
        Copy('$TARGET', '$SOURCE'))
    pythonEnv.Depends(copySwig, swiglib)

    swiginstall = pythonEnv.Install('lang/python/wiredtiger/', swiglib)

    Default(swiginstall, copySwig)

# Shim library of functions to emulate POSIX on Windows
shim = env.Library("window_shim",
        ["test/windows/windows_shim.c"])



examples = [
    "ex_access",
    "ex_all",
    "ex_async",
    "ex_call_center",
    "ex_config",
    "ex_config_parse",
    "ex_cursor",
    "ex_data_source",
    "ex_encrypt",
    "ex_extending",
    "ex_hello",
    "ex_log",
    "ex_pack",
    "ex_process",
    "ex_schema",
    "ex_scope",
    "ex_stat",
    "ex_thread",
    ]

# WiredTiger Smoke Test support
# Runs each test in a custom temporary directory
def run_smoke_test(x):
    print "Running Smoke Test: " + x

    # Make temp dir
    temp_dir = tempfile.mkdtemp(prefix="wt_home")

    try:
        # Set WT_HOME environment variable for test
        os.environ["WIREDTIGER_HOME"] = temp_dir

        # Run the test
        ret = subprocess.call(x);
        if( ret != 0):
            sys.stderr.write("Bad exit code %d\n" % (ret))
            raise Exception()

    finally:
        # Clean directory
        #
        shutil.rmtree(temp_dir)

def builder_smoke_test(target, source, env):
    run_smoke_test(source[0].abspath)
    return None

env.Append(BUILDERS={'SmokeTest' : Builder(action = builder_smoke_test)})

#Build the tests and setup the "scons test" target

#Don't test bloom on Windows, its broken
t = env.Program("t_bloom",
    "test/bloom/test_bloom.c",
    LIBS=[wtlib] + wtlibs)
#env.Alias("check", env.SmokeTest(t))
Default(t)

#env.Program("t_checkpoint",
    #["test/checkpoint/checkpointer.c",
    #"test/checkpoint/test_checkpoint.c",
    #"test/checkpoint/workers.c"],
    #LIBS=[wtlib])

t = env.Program("t_huge",
    "test/huge/huge.c",
    LIBS=[wtlib] + wtlibs)
#env.Alias("check", env.SmokeTest(t))
Default(t)

t = env.Program("t_fops",
    ["test/fops/file.c",
    "test/fops/fops.c",
    "test/fops/t.c"],
    LIBS=[wtlib, shim] + wtlibs)
env.Append(CPPPATH=["test/utility"])
env.Alias("check", env.SmokeTest(t))
Default(t)

if useBdb:
    benv = env.Clone()

    benv.Append(CPPDEFINES=['BERKELEY_DB_PATH=\\"' + useBdb.replace("\\", "\\\\") + '\\"'])

    t = benv.Program("t_format",
        ["test/format/backup.c",
        "test/format/bdb.c",

## wiredtiger 2.6.1+ds

=== debian/changelog ===
wiredtiger (2.6.1+ds-1) unstable; urgency=low

  * Initial upload (closes: #782470).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 16 Jun 2015 19:38:17 +0000

=== debian/control ===
Source: wiredtiger
Section: admin
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), javahelper, dh-python, autoconf, automake,
 libtool, swig, doxygen,
 default-jdk, python-all-dev (>= 2.6.6-3~),
 zlib1g-dev, libleveldb-dev, libsnappy-dev
Standards-Version: 3.9.6
Homepage: http://www.wiredtiger.com/

Package: libwiredtiger-java
Section: java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: Java language support for WiredTiger
 Supports row-oriented storage (where all columns of a row are stored
 together), column-oriented storage (where columns are stored in groups,
 allowing for more efficient access and storage of column subsets) and
 log-structured merge trees (LSM), for sustained throughput under random
 insert workloads.
 .
 Includes ACID transactions with standard isolation levels and durability at
 both checkpoint and fine-grained granularity.
 .
 Can be used as a simple key/value store, but also has a complete schema
 layer, including indices and projections.
 .
 This package provides the Java language support for WiredTiger.

Package: python-wiredtiger
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python library for WiredTiger
 Supports row-oriented storage (where all columns of a row are stored
 together), column-oriented storage (where columns are stored in groups,
 allowing for more efficient access and storage of column subsets) and
 log-structured merge trees (LSM), for sustained throughput under random
 insert workloads.
 .
 Includes ACID transactions with standard isolation levels and durability at
 both checkpoint and fine-grained granularity.
 .
 Can be used as a simple key/value store, but also has a complete schema
 layer, including indices and projections.
 .
 This package provides the Python bindings for WiredTiger.

Package: libwiredtiger-dev
Section: libdevel
Architecture: any
Depends: libwiredtiger0 (= ${binary:Version}), ${misc:Depends}
Description: high performance, scalable, NoSQL, extensible platform (development)
 Supports row-oriented storage (where all columns of a row are stored
 together), column-oriented storage (where columns are stored in groups,
 allowing for more efficient access and storage of column subsets) and
 log-structured merge trees (LSM), for sustained throughput under random
 insert workloads.
 .
 Includes ACID transactions with standard isolation levels and durability at
 both checkpoint and fine-grained granularity.
 .
 Can be used as a simple key/value store, but also has a complete schema
 layer, including indices and projections.
 .
 This package contains the headers and the static library for libwiredtiger.

Package: libwiredtiger0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: high performance, scalable, NoSQL, extensible platform (library)
 Supports row-oriented storage (where all columns of a row are stored
 together), column-oriented storage (where columns are stored in groups,
 allowing for more efficient access and storage of column subsets) and
 log-structured merge trees (LSM), for sustained throughput under random
 insert workloads.
 .
 Includes ACID transactions with standard isolation levels and durability at
 both checkpoint and fine-grained granularity.
 .
 Can be used as a simple key/value store, but also has a complete schema
 layer, including indices and projections.

Package: libwiredtiger-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libwiredtiger0 (= ${binary:Version}), ${misc:Depends}
Description: high performance, scalable, NoSQL, extensible platform (debug symbols)
 Supports row-oriented storage (where all columns of a row are stored
 together), column-oriented storage (where columns are stored in groups,
 allowing for more efficient access and storage of column subsets) and
 log-structured merge trees (LSM), for sustained throughput under random
 insert workloads.
 .
 Includes ACID transactions with standard isolation levels and durability at
 both checkpoint and fine-grained granularity.
 .
 Can be used as a simple key/value store, but also has a complete schema
 layer, including indices and projections.
 .
 This package contains the debugging symbols for writing C applications
 using WiredTiger.

Package: wiredtiger
Architecture: any
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: high performance, scalable, NoSQL, extensible platform for data management
 Supports row-oriented storage (where all columns of a row are stored
 together), column-oriented storage (where columns are stored in groups,
 allowing for more efficient access and storage of column subsets) and
 log-structured merge trees (LSM), for sustained throughput under random
 insert workloads.
 .
 Includes ACID transactions with standard isolation levels and durability at
 both checkpoint and fine-grained granularity.
 .
 Can be used as a simple key/value store, but also has a complete schema
 layer, including indices and projections.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON_SITEARCH := $(shell python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib(1)')

override_dh_auto_configure:
	$(CURDIR)/autogen.sh
	dh_auto_configure -- --enable-leveldb=yes --enable-snappy \
		--enable-zlib \
		--enable-java --enable-python \
		--with-python-prefix=$(CURDIR)/debian/tmp/$(PYTHON_SITEARCH)/

override_dh_strip:
	dh_strip -plibwiredtiger0 --dbg-package=libwiredtiger-dbg
	dh_strip

%:
	dh $@ --with python2,javahelper --parallel

.PHONY: override_dh_auto_configure override_dh_strip

## wiredtiger 2.9.3%2Bds

=== debian/changelog ===
wiredtiger (2.9.3+ds-1ubuntu2) bionic; urgency=medium

  * Enable verbose message build, as used by mongodb.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 22 Mar 2018 21:35:52 +0000

wiredtiger (2.9.3+ds-1ubuntu1) bionic; urgency=medium

  * Enable building on arm64 ppc64el s390x, and any other 64-bit ports.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 22 Mar 2018 14:28:21 +0000

wiredtiger (2.9.3+ds-1) unstable; urgency=low

  * New upstream release.
  * Limit binary packages to amd64 architecture only
    (closes: #813960, #813961).
  * Build with the LZ4 compressor extension.
  * Build with the Zstd compressor extension.
  * Update Standards-Version to 4.1.1 :
    - remove libwiredtiger-dbg package and use the auto-generated one.
  * Update debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Dec 2017 14:25:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: wiredtiger
 Section: admin
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), javahelper, dh-python, autoconf, automake,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 10), javahelper, dh-python, autoconf, automake,
  libtool, swig, doxygen,
- default-jdk, python-all-dev (>= 2.6.6-3~),
- zlib1g-dev, libleveldb-dev, libsnappy-dev
-Standards-Version: 3.9.6
+ default-jdk, python-all-dev (>= 2.7~),
+ zlib1g-dev, liblz4-dev, libzstd-dev, libleveldb-dev, libsnappy-dev
+Standards-Version: 4.1.1
 Homepage: http://www.wiredtiger.com/
 
 Package: libwiredtiger-java
@@ -86,27 +87,6 @@
  Can be used as a simple key/value store, but also has a complete schema
  layer, including indices and projections.
 
-Package: libwiredtiger-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libwiredtiger0 (= ${binary:Version}), ${misc:Depends}
-Description: high performance, scalable, NoSQL, extensible platform (debug symbols)
- Supports row-oriented storage (where all columns of a row are stored
- together), column-oriented storage (where columns are stored in groups,
- allowing for more efficient access and storage of column subsets) and
- log-structured merge trees (LSM), for sustained throughput under random
- insert workloads.
- .
- Includes ACID transactions with standard isolation levels and durability at
- both checkpoint and fine-grained granularity.
- .
- Can be used as a simple key/value store, but also has a complete schema
- layer, including indices and projections.
- .
- This package contains the debugging symbols for writing C applications
- using WiredTiger.
-
 Package: wiredtiger
 Architecture: any
 Section: admin

## wiredtiger 2.9.3+ds

=== SConstruct ===
--- 
+++ 
@@ -67,15 +67,11 @@
 ])
 
 var.Add('CFLAGS', 'C Compiler Flags', [
-    "/Z7", # Generate debugging symbols
     "/wd4090", # Ignore warning about mismatched const qualifiers
     "/wd4996", # Ignore deprecated functions
     "/W3", # Warning level 3
-    #"/we4244", # Possible loss of data
-    "/we4013", # Error on undefined functions
-    #"/we4047", # Indirection differences in types
-    #"/we4024", # Differences in parameter types
-    #"/we4100", # Unreferenced local parameter
+    "/WX", # Warnings are fatal
+    "/Z7", # Generate debugging symbols
     "/TC", # Compile as C code
     #"/Od", # Disable optimization
     "/Ob1", # inline expansion
@@ -167,6 +163,7 @@
     if conf.CheckCHeader('gperftools/tcmalloc.h'):
         wtlibs.append("libtcmalloc_minimal")
         conf.env.Append(CPPDEFINES=['HAVE_LIBTCMALLOC'])
+        conf.env.Append(CPPDEFINES=['HAVE_POSIX_MEMALIGN'])
     else:
         print 'tcmalloc.h must be installed!'
         Exit(1)
@@ -213,6 +210,7 @@
 wiredtiger_includes = """
         #include <sys/types.h>
         #include <stdarg.h>
+        #include <stdbool.h>
         #include <stdint.h>
         #include <stdio.h>
     """
@@ -238,12 +236,29 @@
 #
 # WiredTiger library
 #
-filelistfile = r'build_win\filelist.win'
-filelist = open(filelistfile)
-wtsources = [line.strip()
-             for line in filelist
-             if not line.startswith("#") and len(line) > 1]
-filelist.close()
+# Map WiredTiger build conditions: any conditions that appear in WiredTiger's
+# dist/filelist must appear here, and if the value is true, those files will be
+# included.
+#
+condition_map = {
+    'ARM64_HOST' : False,
+    'POSIX_HOST' : env['PLATFORM'] == 'posix',
+    'POWERPC_HOST' : False,
+    'WINDOWS_HOST' : env['PLATFORM'] == 'win32',
+    'X86_HOST' : True,
+    'ZSERIES_HOST' : False,
+}
+
+def filtered_filelist(f):
+    for line in f:
+        file_cond = line.split()
+        if line.startswith("#") or len(file_cond) == 0:
+            continue
+        if len(file_cond) == 1 or condition_map[file_cond[1]]:
+            yield file_cond[0]
+
+filelistfile = r'dist/filelist'
+wtsources = list(filtered_filelist(open(filelistfile)))
 
 if useZlib:
     wtsources.append("ext/compressors/zlib/zlib_compress.c")
@@ -275,6 +290,7 @@
 Default(wtlib, wtdll)
 
 wtbin = env.Program("wt", [
+    "src/utilities/util_alter.c",
     "src/utilities/util_backup.c",
     "src/utilities/util_cpyright.c",
     "src/utilities/util_compact.c",
@@ -289,9 +305,11 @@
     "src/utilities/util_misc.c",
     "src/utilities/util_printlog.c",
     "src/utilities/util_read.c",
+    "src/utilities/util_rebalance.c",
     "src/utilities/util_rename.c",
     "src/utilities/util_salvage.c",
     "src/utilities/util_stat.c",
+    "src/utilities/util_truncate.c",
     "src/utilities/util_upgrade.c",
     "src/utilities/util_verbose.c",
     "src/utilities/util_verify.c",
@@ -316,6 +334,8 @@
             "-nodefaultctor",
             "-nodefaultdtor",
             ])
+    # Ignore warnings in swig-generated code.
+    pythonEnv['CFLAGS'].remove("/WX")
 
     swiglib = pythonEnv.SharedLibrary('_wiredtiger',
                       [ 'lang\python\wiredtiger.i'],
@@ -343,18 +363,17 @@
     "ex_all",
     "ex_async",
     "ex_call_center",
-    "ex_config",
     "ex_config_parse",
     "ex_cursor",
     "ex_data_source",
     "ex_encrypt",
     "ex_extending",
+    "ex_file_system",
     "ex_hello",
     "ex_log",
     "ex_pack",
     "ex_process",
     "ex_schema",
-    "ex_scope",
     "ex_stat",
     "ex_thread",
     ]
@@ -389,40 +408,16 @@
 env.Append(BUILDERS={'SmokeTest' : Builder(action = builder_smoke_test)})
 
 #Build the tests and setup the "scons test" target
-
-#Don't test bloom on Windows, its broken
+testutil = env.Library('testutil',
+            [
+                'test/utility/misc.c',
+                'test/utility/parse_opts.c'
+            ])
+env.Append(CPPPATH=["test/utility"])
+
 t = env.Program("t_bloom",
     "test/bloom/test_bloom.c",
-    LIBS=[wtlib] + wtlibs)
-#env.Alias("check", env.SmokeTest(t))
+    LIBS=[wtlib, shim, testutil] + wtlibs)
 Default(t)
 
-#env.Program("t_checkpoint",
-    #["test/checkpoint/checkpointer.c",
-    #"test/checkpoint/test_checkpoint.c",
-    #"test/checkpoint/workers.c"],
-    #LIBS=[wtlib])
-
-t = env.Program("t_huge",
-    "test/huge/huge.c",
-    LIBS=[wtlib] + wtlibs)
-#env.Alias("check", env.SmokeTest(t))
-Default(t)
-
-t = env.Program("t_fops",
-    ["test/fops/file.c",
-    "test/fops/fops.c",
-    "test/fops/t.c"],
-    LIBS=[wtlib, shim] + wtlibs)
-env.Append(CPPPATH=["test/utility"])
-env.Alias("check", env.SmokeTest(t))
-Default(t)
-
-if useBdb:
-    benv = env.Clone()
-
-    benv.Append(CPPDEFINES=['BERKELEY_DB_PATH=\\"' + useBdb.replace("\\", "\\\\") + '\\"'])
-
-    t = benv.Program("t_format",
-        ["test/format/backup.c",
-        "test/format/bdb.c",
+t = env.Program("t_checkpoint",

=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,11 @@
 override_dh_auto_configure:
 	$(CURDIR)/autogen.sh
 	dh_auto_configure -- --enable-leveldb=yes --enable-snappy \
-		--enable-zlib \
+		--enable-zlib --enable-lz4 --enable-zstd \
 		--enable-java --enable-python \
 		--with-python-prefix=$(CURDIR)/debian/tmp/$(PYTHON_SITEARCH)/
-
-override_dh_strip:
-	dh_strip -plibwiredtiger0 --dbg-package=libwiredtiger-dbg
-	dh_strip
 
 %:
 	dh $@ --with python2,javahelper --parallel
 
-.PHONY: override_dh_auto_configure override_dh_strip
+.PHONY: override_dh_auto_configure

## wiredtiger 3.1.0%2Bds

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 #export DH_VERBOSE=1
 
 PYTHON_SITEARCH := $(shell python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib(1)')
+
+override_dh_clean:
+	dh_clean
+	find $(CURDIR) -name .dirstamp -size 0 -exec rm {} \;
 
 override_dh_auto_configure:
 	$(CURDIR)/autogen.sh
@@ -14,6 +18,6 @@
 		--with-python-prefix=$(CURDIR)/debian/tmp/$(PYTHON_SITEARCH)/
 
 %:
-	dh $@ --with python2,javahelper --parallel
+	dh $@ --with python2,javahelper
 
-.PHONY: override_dh_auto_configure
+.PHONY: override_dh_clean override_dh_auto_configure

## wiredtiger 3.1.0+ds

=== test/3rdparty/testtools-0.9.34/Makefile ===
# Copyright (c) 2008-2013 testtools developers. See LICENSE for details.

PYTHON=python
SOURCES=$(shell find testtools -name "*.py")

check:
	PYTHONPATH=$(PWD) $(PYTHON) -m testtools.run testtools.tests.test_suite

TAGS: ${SOURCES}
	ctags -e -R testtools/

tags: ${SOURCES}
	ctags -R testtools/

clean: clean-sphinx
	rm -f TAGS tags
	find testtools -name "*.pyc" -exec rm '{}' \;

prerelease:
	# An existing MANIFEST breaks distutils sometimes. Avoid that.
	-rm MANIFEST

release:
	./setup.py sdist upload --sign
	$(PYTHON) scripts/_lp_release.py

snapshot: prerelease
	./setup.py sdist

### Documentation ###

apidocs:
	# pydoctor emits deprecation warnings under Ubuntu 10.10 LTS
	PYTHONWARNINGS='ignore::DeprecationWarning' \
		pydoctor --make-html --add-package testtools \
		--docformat=restructuredtext --project-name=testtools \
		--project-url=https://github.com/testing-cabal/testtools

doc/news.rst:
	ln -s ../NEWS doc/news.rst

docs: doc/news.rst docs-sphinx
	rm doc/news.rst

docs-sphinx: html-sphinx

# Clean out generated documentation
clean-sphinx:
	cd doc && make clean

# Build the html docs using Sphinx.
html-sphinx:
	cd doc && make html

.PHONY: apidocs docs-sphinx clean-sphinx html-sphinx docs
.PHONY: check clean prerelease release

=== debian/changelog ===
wiredtiger (3.1.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Build python-wiredtiger on amd64 only (closes: #906703).
  * Add watch file.
  * Update debhelper level to 11:
    - don't specify parallel to debhelper.
  * Update Standards-Version to 4.1.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 20 Jul 2018 22:01:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: wiredtiger
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 10), javahelper, dh-python, autoconf, automake,
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 11), javahelper, dh-python, autoconf, automake,
  libtool, swig, doxygen,
  default-jdk, python-all-dev (>= 2.7~),
  zlib1g-dev, liblz4-dev, libzstd-dev, libleveldb-dev, libsnappy-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.5
 Homepage: http://www.wiredtiger.com/
 
 Package: libwiredtiger-java
@@ -31,7 +30,7 @@
 
 Package: python-wiredtiger
 Section: python
-Architecture: any
+Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
@@ -52,7 +51,7 @@
 
 Package: libwiredtiger-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64
 Depends: libwiredtiger0 (= ${binary:Version}), ${misc:Depends}
 Description: high performance, scalable, NoSQL, extensible platform (development)
  Supports row-oriented storage (where all columns of a row are stored
@@ -71,7 +70,7 @@
 
 Package: libwiredtiger0
 Section: libs
-Architecture: any
+Architecture: amd64
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: high performance, scalable, NoSQL, extensible platform (library)
@@ -88,7 +87,7 @@
  layer, including indices and projections.
 
 Package: wiredtiger
-Architecture: any
+Architecture: amd64
 Section: admin
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: high performance, scalable, NoSQL, extensible platform for data management

## wiredtiger 3.2.0

=== SConstruct ===
--- 
+++ 
@@ -28,6 +28,9 @@
 AddOption("--enable-lz4", dest="lz4", type="string", nargs=1, action="store",
           help="Use LZ4 compression")
 
+AddOption("--enable-java", dest="lang-java", type="string", nargs=1, action="store",
+          help="Build java extension, specify location of swig.exe binary and Java JDK dir separated by comma")
+
 AddOption("--enable-python", dest="lang-python", type="string", nargs=1, action="store",
           help="Build Python extension, specify location of swig.exe binary")
 
@@ -36,9 +39,6 @@
 
 AddOption("--enable-tcmalloc", dest="tcmalloc", type="string", nargs=1, action="store",
           help="Use TCMalloc for memory allocation")
-
-AddOption("--enable-verbose", dest="verbose", action="store_true", default=False,
-          help="Configure WiredTiger to support the verbose configuration string to wiredtiger_open")
 
 AddOption("--enable-zlib", dest="zlib", type="string", nargs=1, action="store",
           help="Use zlib compression")
@@ -67,10 +67,11 @@
 ])
 
 var.Add('CFLAGS', 'C Compiler Flags', [
+    "/W3", # Warning level 3
+    "/WX", # Warnings are fatal
     "/wd4090", # Ignore warning about mismatched const qualifiers
     "/wd4996", # Ignore deprecated functions
-    "/W3", # Warning level 3
-    "/WX", # Warnings are fatal
+    "/we4100", # Complain about unreferenced format parameter
     "/Z7", # Generate debugging symbols
     "/TC", # Compile as C code
     #"/Od", # Disable optimization
@@ -181,9 +182,6 @@
 if GetOption("lang-python"):
     env.Append(LIBPATH=[distutils.sysconfig.PREFIX + r"\libs"])
     env.Append(CPPPATH=[distutils.sysconfig.get_python_inc()])
-
-if GetOption("verbose"):
-    env.Append(CPPDEFINES = ["HAVE_VERBOSE"])
 
 
 # Build WiredTiger.h file
@@ -295,6 +293,7 @@
     "src/utilities/util_cpyright.c",
     "src/utilities/util_compact.c",
     "src/utilities/util_create.c",
+    "src/utilities/util_downgrade.c",
     "src/utilities/util_drop.c",
     "src/utilities/util_dump.c",
     "src/utilities/util_list.c",
@@ -326,6 +325,7 @@
         print "The Python Interpreter must be 64-bit in order to build the python bindings"
         Exit(1)
 
+    pythonMajorVersion = sys.version_info.major
     pythonEnv = env.Clone()
     pythonEnv.Append(SWIGFLAGS=[
             "-python",
@@ -333,9 +333,11 @@
             "-O",
             "-nodefaultctor",
             "-nodefaultdtor",
+            "-DPY_MAJOR_VERSION=" + str(pythonMajorVersion)
             ])
     # Ignore warnings in swig-generated code.
     pythonEnv['CFLAGS'].remove("/WX")
+    pythonEnv['CFLAGS'].remove("/we4100")
 
     swiglib = pythonEnv.SharedLibrary('_wiredtiger',
                       [ 'lang\python\wiredtiger.i'],
@@ -352,72 +354,33 @@
 
     Default(swiginstall, copySwig)
 
-# Shim library of functions to emulate POSIX on Windows
-shim = env.Library("window_shim",
-        ["test/windows/windows_shim.c"])
-
-
-
-examples = [
-    "ex_access",
-    "ex_all",
-    "ex_async",
-    "ex_call_center",
-    "ex_config_parse",
-    "ex_cursor",
-    "ex_data_source",
-    "ex_encrypt",
-    "ex_extending",
-    "ex_file_system",
-    "ex_hello",
-    "ex_log",
-    "ex_pack",
-    "ex_process",
-    "ex_schema",
-    "ex_stat",
-    "ex_thread",
-    ]
-
-# WiredTiger Smoke Test support
-# Runs each test in a custom temporary directory
-def run_smoke_test(x):
-    print "Running Smoke Test: " + x
-
-    # Make temp dir
-    temp_dir = tempfile.mkdtemp(prefix="wt_home")
-
-    try:
-        # Set WT_HOME environment variable for test
-        os.environ["WIREDTIGER_HOME"] = temp_dir
-
-        # Run the test
-        ret = subprocess.call(x);
-        if( ret != 0):
-            sys.stderr.write("Bad exit code %d\n" % (ret))
-            raise Exception()
-
-    finally:
-        # Clean directory
-        #
-        shutil.rmtree(temp_dir)
-
-def builder_smoke_test(target, source, env):
-    run_smoke_test(source[0].abspath)
-    return None
-
-env.Append(BUILDERS={'SmokeTest' : Builder(action = builder_smoke_test)})
-
-#Build the tests and setup the "scons test" target
-testutil = env.Library('testutil',
-            [
-                'test/utility/misc.c',
-                'test/utility/parse_opts.c'
-            ])
-env.Append(CPPPATH=["test/utility"])
-
-t = env.Program("t_bloom",
-    "test/bloom/test_bloom.c",
-    LIBS=[wtlib, shim, testutil] + wtlibs)
-Default(t)
-
-t = env.Program("t_checkpoint",
+# Javap SWIG wrapper for WiredTiger
+enableJava = GetOption("lang-java")
+if enableJava and enableJava.count(",") == 1:
+    enableJavaPaths = enableJava.split(',')
+
+    swigExe = enableJavaPaths[0]
+    javaPath = enableJavaPaths[1]
+    conf.env.Append(CPPPATH=[ javaPath + '/include'])
+    conf.env.Append(CPPPATH=[ javaPath + '/include/win32'])
+
+    swigJavaFiles = ["lang/java/src/com/wiredtiger/db/AsyncOp.java",
+    "lang/java/src/com/wiredtiger/db/AsyncOpType.java",
+    "lang/java/src/com/wiredtiger/db/Connection.java",
+    "lang/java/src/com/wiredtiger/db/Cursor.java",
+    "lang/java/src/com/wiredtiger/db/Modify.java",
+    "lang/java/src/com/wiredtiger/db/SearchStatus.java",
+    "lang/java/src/com/wiredtiger/db/Session.java",
+    "lang/java/src/com/wiredtiger/db/WT_ITEM_HOLD.java",
+    "lang/java/src/com/wiredtiger/db/WT_MODIFY_LIST.java",
+    "lang/java/src/com/wiredtiger/db/wiredtiger.java",
+    "lang/java/src/com/wiredtiger/db/wiredtigerConstants.java",
+    "lang/java/src/com/wiredtiger/db/wiredtigerJNI.java"]
+
+    swigCFile = "wiredtiger_wrap.c"
+
+    swigFiles = env.Command(
+        swigJavaFiles + [swigCFile], '',
+        '"' + swigExe + '" -Wall -v -java -nodefaultctor -nodefaultdtor -package com.wiredtiger.db -outdir lang/java/src/com/wiredtiger/db -o wiredtiger_wrap.c lang/java/wiredtiger.i')
+    env.Depends(swigFiles, wtheader)
+    objectJavaWrap = env.Object(swigCFile)

## wiredtiger 3.2.1

=== SConstruct ===
--- 
+++ 
@@ -45,9 +45,6 @@
 
 AddOption("--prefix", dest="prefix", type="string", nargs=1, action="store", default="package",
           help="Install directory")
-
-AddOption("--with-berkeley-db", dest="bdb", type="string", nargs=1, action="store",
-          help="Berkeley DB install path, ie, /usr/local")
 
 # Get the swig binary from the command line option since SCONS cannot find it automatically
 #
@@ -112,13 +109,12 @@
 useZlib = GetOption("zlib")
 useSnappy = GetOption("snappy")
 useLz4 = GetOption("lz4")
-useBdb = GetOption("bdb")
 useTcmalloc = GetOption("tcmalloc")
 wtlibs = []
 
 conf = Configure(env)
 if not conf.CheckCHeader('stdlib.h'):
-    print 'stdlib.h must be installed!'
+    print('stdlib.h must be installed!')
     Exit(1)
 
 if useZlib:
@@ -128,7 +124,7 @@
         conf.env.Append(CPPDEFINES=["HAVE_BUILTIN_EXTENSION_ZLIB"])
         wtlibs.append("zlib")
     else:
-        print 'zlib.h must be installed!'
+        print('zlib.h must be installed!')
         Exit(1)
 
 if useSnappy:
@@ -138,7 +134,7 @@
         conf.env.Append(CPPDEFINES=['HAVE_BUILTIN_EXTENSION_SNAPPY'])
         wtlibs.append("snappy")
     else:
-        print 'snappy-c.h must be installed!'
+        print('snappy-c.h must be installed!')
         Exit(1)
 
 if useLz4:
@@ -148,14 +144,7 @@
         conf.env.Append(CPPDEFINES=['HAVE_BUILTIN_EXTENSION_LZ4'])
         wtlibs.append("lz4")
     else:
-        print 'lz4.h must be installed!'
-        Exit(1)
-
-if useBdb:
-    conf.env.Append(CPPPATH=[useBdb+ "/include"])
-    conf.env.Append(LIBPATH=[useBdb+ "/lib"])
-    if not conf.CheckCHeader('db.h'):
-        print 'db.h must be installed!'
+        print('lz4.h must be installed!')
         Exit(1)
 
 if useTcmalloc:
@@ -166,7 +155,7 @@
         conf.env.Append(CPPDEFINES=['HAVE_LIBTCMALLOC'])
         conf.env.Append(CPPDEFINES=['HAVE_POSIX_MEMALIGN'])
     else:
-        print 'tcmalloc.h must be installed!'
+        print('tcmalloc.h must be installed!')
         Exit(1)
 
 env = conf.Finish()
@@ -202,7 +191,7 @@
     VERSION_MINOR == None or
     VERSION_PATCH == None or
     VERSION_STRING == None):
-    print "Failed to find version variables in " + version_file
+    print("Failed to find version variables in " + version_file)
     Exit(1)
 
 wiredtiger_includes = """
@@ -290,12 +279,13 @@
 wtbin = env.Program("wt", [
     "src/utilities/util_alter.c",
     "src/utilities/util_backup.c",
+    "src/utilities/util_compact.c",
     "src/utilities/util_cpyright.c",
-    "src/utilities/util_compact.c",
     "src/utilities/util_create.c",
     "src/utilities/util_downgrade.c",
     "src/utilities/util_drop.c",
     "src/utilities/util_dump.c",
+    "src/utilities/util_import.c",
     "src/utilities/util_list.c",
     "src/utilities/util_load.c",
     "src/utilities/util_load_json.c",
@@ -322,7 +312,7 @@
     # Check that this version of python is 64-bit
     #
     if sys.maxsize < 2**32:
-        print "The Python Interpreter must be 64-bit in order to build the python bindings"
+        print("The Python Interpreter must be 64-bit in order to build the python bindings")
         Exit(1)
 
     pythonMajorVersion = sys.version_info.major
@@ -384,3 +374,14 @@
         '"' + swigExe + '" -Wall -v -java -nodefaultctor -nodefaultdtor -package com.wiredtiger.db -outdir lang/java/src/com/wiredtiger/db -o wiredtiger_wrap.c lang/java/wiredtiger.i')
     env.Depends(swigFiles, wtheader)
     objectJavaWrap = env.Object(swigCFile)
+    env.Depends(objectJavaWrap, swigCFile)
+
+    #
+    # Dynamically Loaded Library - wiredtiger_java.dll
+    wtjavadll = env.SharedLibrary(
+    target="wiredtiger_java",
+    source=wt_objs + [objectJavaWrap] + ['build_win/wiredtiger.def'], LIBS=wtlibs)
+
+    env.Depends(wtjavadll, [filelistfile, version_file])
+    Default(wtjavadll)
+

=== debian/changelog ===
wiredtiger (3.2.1-1ubuntu4) oracular; urgency=medium

  * No-change rebuild, to fix version number (dropping "ppa1" suffix)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Tue, 16 Jul 2024 16:31:41 +0200

wiredtiger (3.2.1-1ubuntu3ppa1) oracular; urgency=medium

  * d/p/fix_buffer_overflow.patch: Fix buffer overflows
    in example/c/ex_async.c (LP: #2056102)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Wed, 26 Jun 2024 15:49:18 +0530

wiredtiger (3.2.1-1ubuntu2) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:54:52 +0200

wiredtiger (3.2.1-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Enable building on arm64 ppc64el s390x, and any other 64-bit ports.

 -- Stefano Rivera <stefanor@ubuntu.com>  Tue, 12 May 2020 21:22:13 -0700

wiredtiger (3.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Disable flaky tests (closes: #949776).
  * Remove Python 2 bindings (closes: #938828).
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Jan 2020 11:39:57 +0000

wiredtiger (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Enable verbose build.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Jul 2019 17:33:10 +0000

wiredtiger (2.9.3+ds-1ubuntu4) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:11:31 +0100

wiredtiger (2.9.3+ds-1ubuntu3) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:47:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: wiredtiger
 Section: admin
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), javahelper, dh-python, autoconf, automake,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper-compat (= 11), javahelper, autoconf, automake,
  libtool, swig, doxygen,
- default-jdk, python-all-dev (>= 2.7~),
+ default-jdk,
  zlib1g-dev, liblz4-dev, libzstd-dev, libleveldb-dev, libsnappy-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
 Homepage: http://www.wiredtiger.com/
 
 Package: libwiredtiger-java
@@ -28,30 +29,9 @@
  .
  This package provides the Java language support for WiredTiger.
 
-Package: python-wiredtiger
-Section: python
-Architecture: amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
-Description: Python library for WiredTiger
- Supports row-oriented storage (where all columns of a row are stored
- together), column-oriented storage (where columns are stored in groups,
- allowing for more efficient access and storage of column subsets) and
- log-structured merge trees (LSM), for sustained throughput under random
- insert workloads.
- .
- Includes ACID transactions with standard isolation levels and durability at
- both checkpoint and fine-grained granularity.
- .
- Can be used as a simple key/value store, but also has a complete schema
- layer, including indices and projections.
- .
- This package provides the Python bindings for WiredTiger.
-
 Package: libwiredtiger-dev
 Section: libdevel
-Architecture: amd64
+Architecture: any
 Depends: libwiredtiger0 (= ${binary:Version}), ${misc:Depends}
 Description: high performance, scalable, NoSQL, extensible platform (development)
  Supports row-oriented storage (where all columns of a row are stored
@@ -70,7 +50,7 @@
 
 Package: libwiredtiger0
 Section: libs
-Architecture: amd64
+Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: high performance, scalable, NoSQL, extensible platform (library)
@@ -87,7 +67,7 @@
  layer, including indices and projections.
 
 Package: wiredtiger
-Architecture: amd64
+Architecture: any
 Section: admin
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: high performance, scalable, NoSQL, extensible platform for data management

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d?// \
https://github.com/wiredtiger/wiredtiger/tags .*/releases/tag/(\d.*)
